Bug 1734288 - pstoedit-3.74 fails with ghostscript-9.26 (as does 3.73)
Summary: pstoedit-3.74 fails with ghostscript-9.26 (as does 3.73)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pstoedit
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sebastian Kisela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 07:37 UTC by philipls@unimelb.edu.au
Modified: 2020-05-26 17:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 17:32:39 UTC
Type: Bug


Attachments (Terms of Use)

Description philipls@unimelb.edu.au 2019-07-30 07:37:46 UTC
Description of problem:

pstoedit-xfig conversion fails with pstoedit-3.74 (also 3.73). Version 3.74 was intended to fix a .makeoperator bug reported on SourceForge on 2019-05-07. The problem has been fixed in 3.74 but now throws a /findfont error. 

Version-Release number of selected component (if applicable):

Fedora 29 and 30, pstoedit 3.73 and 3.74, ghostscript 9.26 and 9.27 (all combinations). Clean install of fc30. 


How reproducible:

100% of time

Steps to Reproduce:

pstoedit -f xfig temp.eps temp.fig

(temp.eps is a test file containing a simple graphic.)

Actual results:

pstoedit: version 3.74 / DLL interface 108 (built: Jul 30 2019 - release build - g++ 9.1.1 20190503 (Red Hat 9.1.1-1) - 64-bit) : Copyright (C) 1993 - 2019 Wolfgang Glunz
Error: /undefined in /findfont
Operand stack:
   Courier-Oblique
Execution stack:
   %interp_exit   .runexec2   --nostringval--   .findfontop   --nostringval--   2   %stopped_push   --nostringval--   .findfontop   .findfontop   false   1   %stopped_push   2045   1   3   %oparray_pop   2044   1   3   %oparray_pop   2024   1   3   %oparray_pop   1884   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   .findfontop   --nostringval--   2   %stopped_push   --nostringval--   2045   1   3   %oparray_pop   2044   1   3   %oparray_pop   2024   1   3   %oparray_pop   1884   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   .findfontop   --nostringval--   2   %stopped_push   --nostringval--   .findfontop   1975   1   3   %oparray_pop
Dictionary stack:
   --dict:970/1684(ro)(G)--   --dict:0/20(G)--   --dict:371/450(L)--
Current allocation mode is local
Current file position is 7409
GPL Ghostscript 9.26: Unrecoverable error, exit code 1
PostScript/PDF Interpreter finished. Return status 256 executed command : gs -q -dDELAYBIND -dWRITESYSTEMDICT -dNODISPLAY -dNOEPS "/tmp/psinkfgGga"
The interpreter seems to have failed, cannot proceed !

Expected results:

temp.fig as output


Additional info:

I suspect this is related to the ghostscript font problem reported by Peter Anvin in Bug 1922900. I did a source build of ghostscript-9.27 and the problem persisted.

Comment 1 Thomas Sailer 2019-10-18 14:50:59 UTC
Same problem here. I used this https://copr.fedorainfracloud.org/coprs/sailer/misc/build/1065033/ pstoedit 3.74 build

Comment 2 Ben Cotton 2020-04-30 20:55:33 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-05-26 17:32:39 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.